/* NewGuideGraphCanvas.java*/
/*
 * header to set up graphs - frequency dependent plots
 * authors: Umberto Ravaioli
 * version 1.0 - Copyright: Amanogawa.com - All Rights Reserved
 */

import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.lang.*;

public class NewGuideGraphCanvas extends GraphCanvas{
    private static final Color bgcolor = Color.gray;
    private NewGuide_State state;
    private static final int LeftMargin=10, RightMargin=10, TopMargin=10, BottomMargin=10;
    
    public NewGuideGraphCanvas(NewGuide_State state){
	
	super();
	this.state = state;
	setBackground(bgcolor);
	setLabelAxis(false);
	setYRangeMax(state.Z0_max);
	setYRangeMin(state.Z0_min);
	plotZeroLine(false);
	plotRefPoint(true);
	setLabels("Microstrip Characteristic Impedance","Z","Frequency [Hz]","0");
	setRefPoint(state.frequency);
	plot(state.x_freq,state.F_array);
   }
   
}
